# do not edit -- automatically generated by arch changelog
# tag: automatic-ChangeLog--angles@aminvestments.com--2002/anglemail--core--1.1
#

2002-09-21 GMT	Angles Puglisi <angles@aminvestments.com>	patch-3

    Summary:
      update merge anglemail-codehere (at patch-42) into anglemail-core
    Revision:
      anglemail--core--1.1--patch-3

    Update merge anglemail-codehere (at patch-42) into anglemail-core.
    
    Anglemail-codehere at patch-42 is just after the new addressbook by lex 
    was merged into the codehere tree, and after some significant bug fixes 
    including now working with register globals on of off.
    
    So this was a good time to merge this code back into the core branch.
    
    This after release of tarball anglemail-1.1-pre04-07.tar.bz2
    
    The following paragraph was generated by arch command log-for-merge.
    
    Patches applied:
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-42
         merge in addressbook code by lex, original one is optional, manual merge.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-41
         fix object call redirects, attach_file is now class.boattach_files.attach
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-40
         fix the fix to the FILES data in attach_file.php
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-39
         fix FILES upload vars and 0k file size, and properly redirect and kill script after sending mail
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-38
         base64 encode 57 bytes at a time, and clear lines after sending
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-37
         fix for php v4.2 and greater Superglobals issue
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-36
         merge in lex changes for non-aadybook files
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-35
         prep_folder_in checks for UWash foldername of "bare slash"
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-34
         better RH login "recovering" message, and always try that recovery
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-33
         update email lang files from Savannah CVS sources
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-32
         fix decode rfc2047 encoded attachment name MIME headers with download
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-31
         feature additions from Alex Borges
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-30
         patch to hook_notifywindow, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-29
         added debugging output to utf7 en/decode, verified working as per RFC
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-28
         patch to attach_file to show file size, thanks Dave Hall
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-27
         validate UWash namespace does not contain "bad" stuff
    

    new files:
     addressbook-chnagelog.txt addressbook-js.php
     inc/selectboxes.js templates/default/addressbook-js-bits.tpl
     templates/default/addressbook-js.tpl
     templates/default/addressbook-real-plain.tpl-UNUSED
     templates/default/addressbook.tpl-BAD
     templates/default/addressbook.tpl-ORIG
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-27
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-28
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-29
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-30
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-31
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-32
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-33
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-34
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-35
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-36
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-37
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-38
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-39
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-40
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-41
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-42

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.core--1.1 attach_file.php
     inc/class.boaction.inc.php inc/class.boattach_file.inc.php
     inc/class.bocompose.inc.php inc/class.bofilters.inc.php
     inc/class.bopreferences.inc.php inc/class.bosend.inc.php
     inc/class.mail_dcom_base.inc.php
     inc/class.mail_dcom_base_sock.inc.php
     inc/class.mail_dcom_pop3_sock.inc.php
     inc/class.mail_msg_base.inc.php
     inc/class.mail_msg_wrappers.inc.php
     inc/class.mail_send.inc.php inc/class.spell.inc.php
     inc/class.svc_nextmatches.inc.php
     inc/class.ui_mail_debug.inc.php inc/class.uicompose.inc.php
     inc/class.uimessage.inc.php inc/class.uipreferences.inc.php
     inc/hook_notifywindow.inc.php index.php setup/phpgw_da.lang
     setup/phpgw_fr.lang setup/phpgw_pt.lang
     templates/default/addressbook.tpl
     templates/default/attach_file.tpl
     templates/default/attach_file_blocks.tpl
     templates/default/compose.tpl

    new patches:
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-27
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-28
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-29
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-30
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-31
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-32
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-33
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-34
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-35
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-36
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-37
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-38
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-39
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-40
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-41
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-42


2002-08-04 GMT	Angles Puglisi <angles@aminvestments.com>	patch-2

    Summary:
      update merge anglemail--codehere--1.1--patch-26 into anglemail--core--1.1
    Revision:
      anglemail--core--1.1--patch-2

    Update merge anglemail--codehere--1.1--patch-26 into anglemail--core--1.1, 
    where anglemail--codehere--1.1--patch-26 has been released in tarball form 
    as file anglemail-1.1-pre3-15.tar.bz2 and, although needing some bug fixes, 
    had been used in production with general success.
    
    Time was good to merge since this code is now a "known" element, and 
    even the bugs it has are "known" so this merges known elements into the 
    core branch and allows continued development in the codehere branch.
    
    The following paragraph was generated by arch command log-for-merge.
    
    Patches applied:
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-26
         fix mail svc_nextmatches to work with the redirect replacement
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-25
         made generalized make new env functions in boaction for public use
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-24
         expande no-redirect, handle curley braces, increase big threshhold to 95
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-23
         post-multi-delete redirect replaced with a direct object call
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-22
         add docs, fix comment in index tpl file
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-21
         added docs for move, delete, and expunge functions. DOCS ONLY.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-20
         fix append to sent items folder
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-19
         migrate to "industrial_interacct_mail_move", track what needs expunging, only expunge when done
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-18
         bugfixs for extreme caching being on or off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-17
         wrap all new "extreme" caching in conditionals so it can be turned off
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-16
         add function to clear all "extreme" cache items, and not be "extreme" for big moves
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-15
         fix moves, deleted, and expunging in extreme caching mode
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-14
         first try at no logins unless absolutely necessary
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-13
         folder stats now cached and assumed valid for X time, events keep it current
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-12
         implement "extreme" cache management with option in not using it
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-11
         Skeleton code for recycling on msgball_list cache
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-10
         First code for "events" triggers used to alter cached data.
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-9
         added docs for caching 
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-8
         fix non-contiguous Received filter b0rk, decode rfc headers can handle multiline now
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-7
         expire single "phpgw_header" element for unseen message we are going to view
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-6
         Added phpgw_header data to appsession cache
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-5
         sleep 1 sec in end_request, phpgw_fetchstructure data now cached in appsession
    

    new files:
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-10
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-11
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-12
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-13
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-14
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-15
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-16
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-17
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-18
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-19
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-20
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-21
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-22
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-23
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-24
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-25
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-26
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-5
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-6
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-7
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-8
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-9

    modified files:
     ChangeLog.codehere--1.1 ChangeLog.core--1.1
     inc/class.boaction.inc.php inc/class.bofilters.inc.php
     inc/class.bofolder.inc.php inc/class.boindex.inc.php
     inc/class.bomessage.inc.php inc/class.bosend.inc.php
     inc/class.html_widgets.inc.php inc/class.mail_filters.inc.php
     inc/class.mail_msg_base.inc.php
     inc/class.mail_msg_display.inc.php
     inc/class.mail_msg_wrappers.inc.php
     inc/class.msg_bootstrap.inc.php
     inc/class.svc_nextmatches.inc.php
     inc/class.ui_mail_debug.inc.php inc/class.uifilters.inc.php
     inc/class.uifolder.inc.php inc/class.uiindex.inc.php
     inc/class.uimessage.inc.php templates/default/debug.tpl
     templates/default/index_main_b0_l1.tpl
     templates/default/index_main_b0_l2.tpl

    new patches:
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-10
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-11
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-12
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-13
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-14
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-15
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-16
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-17
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-18
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-19
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-20
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-21
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-22
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-23
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-24
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-25
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-26
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-5
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-6
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-7
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-8
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-9


2002-06-13 GMT	Angles Puglisi <angles@aminvestments.com>	patch-1

    Summary:
      replay merge anglemail-codehere into anglemail-core
    Revision:
      anglemail--core--1.1--patch-1

    Merge fixes and new stuff in codehere branch in to core. 
    This includes fix for the "view as html" button, some 
    basic detection of KLEZ iframe mails and "unfriendly" attachment 
    filename extensions for winbloze users, add company to 
    the addressbook (thanks dave hall), compose normalized 
    to 80 char lines, images for "add to addressbook" are normal 
    sized now.
    
    Also, this version uses "notls" instead of "novalidate-cert" 
    for the RedHat php IMAP bug fix because normal IMAP on port 
    143 should not be encrypted, but port 143 traffic was 
    STARTTLS encrypted unless "notls" is used. Note that 
    SSL IMAP works as usual if encryption is desired.
    
    Since codehere was branched FROM core and the two branches had
    never been previously merged, core was ignorant of the codehere 
    patchlogs, which effectively meant that merging by update or 
    star-merge would produce an error about core not having a 
    patchlog for codehere.
    
    So, this replay merge does 2 things, 1. it does the actual merge 
    which is now the right the right time to merge anyway, and 
    2. it lets the two branches "co-mingle" so now they know 
    about each other and core will certainly have change logs 
    for codehere, at least up to codehere patch4.
    
    So hopefully the more exotic merging techniques will be 
    available for these 2 branches in the future because of this.
    
    Note if this replay does the trick, then do a trivial 
    replay of new branches back into its trunk just so that trunk 
    has a change log for the new branch. We shall see...
    
    The following paragraph was generated by arch command log-for-merge.
    
    Patches applied:
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-4
         better detection of "bad" attachments, make compose box 78 chars wide
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-3
         Addressbook fix by dave.hall@mbox.com.au, more work on IMAP sockets class
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-2
         fix view as html as reference, give basic warnings for nefarious parts
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-1
         first commit to codehere, add docs and alias decode headers to a better function
    
      * angles@aminvestments.com--2002/anglemail--codehere--1.1--base-0
         first tree FROM anglemail core 1.1 FOR coding new stuff, merge back when ready
    

    new files:
     ChangeLog.codehere--1.1 ChangeLog.core--1.1
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/base-0
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-1
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-2
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-3
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log/patch-4

    modified files:
     addressbook.php inc/class.bomessage.inc.php
     inc/class.html_widgets.inc.php inc/class.mail_dcom.inc.php
     inc/class.mail_dcom_base_sock.inc.php
     inc/class.mail_dcom_imap_sock.inc.php
     inc/class.mail_msg_base.inc.php
     inc/class.ui_mail_debug.inc.php
     templates/default/addressbook.tpl
     templates/default/compose.tpl templates/default/debug.tpl
     templates/default/index_main_b0_l2.OLD.tpl

    new directories:
     {arch}/anglemail/anglemail--codehere
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002
     {arch}/anglemail/anglemail--codehere/anglemail--codehere--1.1/angles@aminvestments.com--2002/patch-log

    new patches:
     angles@aminvestments.com--2002/anglemail--codehere--1.1--base-0
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-1
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-2
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-3
     angles@aminvestments.com--2002/anglemail--codehere--1.1--patch-4


2002-06-05 GMT	Angles Puglisi <angles@aminvestments.com>	base-0

    Summary:
      first tree for anglemail version 1.1, this is the core, base branch for 1.1
    Revision:
      anglemail--core--1.1--base-0

    branched from angles@aminvestments.com--2002/anglemail--beta1final--1.0--base-0
    
    Sourced from anglemail beta1final, this is a continuation branch from that and
    this the FIRST branch that is anglemail version 1.1, and this is the CORE, BASE 
    branch for anglemail 1.1, all other development for anglemail 1.1 will branch 
    from this tree and merge back into this tree when ready, should be continuation 
    from this branch, should be able to use star merge to get changes into this 
    core mail "trunk" branch.
    
    Used this coommand sequence:
    CMD: cd src/anglemail/anglemail-beta1final
    CMD: larch prepare-branch anglemail--beta1final--1.0 anglemail--core--1.1 src/anglemail/anglemail-core
    CMD: cd src/anglemail/anglemail-core
    CMD: edit this log file you are reading now

    new directories:
     {arch}/anglemail/anglemail--core
     {arch}/anglemail/anglemail--core/anglemail--core--1.1
     {arch}/anglemail/anglemail--core/anglemail--core--1.1/angles@aminvestments.com--2002
     {arch}/anglemail/anglemail--core/anglemail--core--1.1/angles@aminvestments.com--2002/patch-log


